Subject: [QUESTION] Improving disk space recovery for partial clones (GSoC 2026)

From: Yuvraj Singh Chauhan <[email-masked]>
Date: Mon, 9 Mar 2026 17:43:59 +0530

Hi,

I'm interested in working on the "Improve disk space recovery for partial clones" project.
I am studying the codebase, particularly promisor-remote.c, builtin/backfill.c,
and the partial clone documentation.

I have a question to clarify the scope and direction of the project.
The project description mentions that git-backfill vs git-gc vs 
git-repack vs git-maintenance is still undecided.
Has there been any recent discussion or consensus on this?
I want to make sure my proposal aligns with the community's direction.

sincerely,

Yuvraj